cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to Install PHPMailer for Drupal 8 without Composer

All,

 

I have been unable to install PHPMailer for Drupal 8. My understanding is that it should be enabled by default, but when I try to install/activate modules that require PHPMailer I receive an error stating "Please install the PHPMailer library by executing 'composer update' in your site's root directory. (Currently using PHPMailer library version Missing)".

 

1) My understanding is Composer is not available to run through Cpanel with Drupal Hosting.

2) I manually installed the PHPMailer library in the Modules directory, but still receive the same error.

 

How do I install/update the links for PHPMailer so that it is enabled / available for other modules?

 

PHP Code Example

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'src/Exception.php';
require 'src/PHPMailer.php';
require 'src/SMTP.php';

 

0 REPLIES 0